Skip to main content
POST
Create a booking limit pool

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

teamId
number
required

Body

application/json
name
string
required
Minimum string length: 1
Example:

"Engineering interviews"

mode
enum<string>
required

SHARED: each host has one allowance across every event in the pool. PER_EVENT: the same allowance applies to each event separately.

Available options:
SHARED,
PER_EVENT
eventTypeIds
string<uuid>[]
required

Round-robin event types of the team. Each event type can be in one pool.

Required array length: 1 - 100 elements
Example:
perDay
number | null
Required range: x >= 1
Example:

2

perWeek
number | null
Required range: x >= 1
Example:

5

perMonth
number | null
Required range: x >= 1
perYear
number | null
Required range: x >= 1

Response

201 - application/json
status
enum<string>
required
Available options:
success
data
object
required